Index: trunk/ab5.0/abdev/compiler_x64/MakePeHdr.cpp
===================================================================
--- trunk/ab5.0/abdev/compiler_x64/MakePeHdr.cpp	(revision 585)
+++ trunk/ab5.0/abdev/compiler_x64/MakePeHdr.cpp	(revision 587)
@@ -115,5 +115,5 @@
 	if( compiler.IsDebug() )
 	{
-		compiler.GetObjectModule().nativeSection.dataTable.Add( (long)0x00000002 );
+		compiler.GetObjectModule().dataTable.Add( (long)0x00000002 );
 	}
 
@@ -133,5 +133,5 @@
 	{
 		ActiveBasic::Compiler::LexicalAnalyzer::CollectEnums(
-			compiler.GetObjectModule().nativeSection.GetCurrentSource().GetBuffer(),
+			compiler.GetObjectModule().GetCurrentSource().GetBuffer(),
 			compiler.enumInfoCollection
 		);
@@ -146,5 +146,5 @@
 	// 名前空間情報を取得
 	ActiveBasic::Compiler::LexicalAnalyzer::CollectNamespaces(
-		compiler.GetObjectModule().nativeSection.GetCurrentSource().GetBuffer(),
+		compiler.GetObjectModule().GetCurrentSource().GetBuffer(),
 		compiler.GetObjectModule().meta.GetNamespaces()
 	);
@@ -153,5 +153,5 @@
 	{
 		ActiveBasic::Compiler::LexicalAnalyzer::CollectDelegates(
-			compiler.GetObjectModule().nativeSection.GetCurrentSource().GetBuffer(),
+			compiler.GetObjectModule().GetCurrentSource().GetBuffer(),
 			compiler.GetObjectModule().meta.GetDelegates()
 		);
@@ -169,5 +169,5 @@
 	//     ※オブジェクトの内容までは取得しない
 	ActiveBasic::Compiler::LexicalAnalyzer::CollectClassesForNameOnly(
-		compiler.GetObjectModule().nativeSection.GetCurrentSource().GetBuffer(),
+		compiler.GetObjectModule().GetCurrentSource().GetBuffer(),
 		compiler.GetObjectModule().meta.GetClasses()
 	);
@@ -175,5 +175,5 @@
 	//TypeDef情報を収集
 	ActiveBasic::Compiler::LexicalAnalyzer::CollectTypeDefs(
-		compiler.GetObjectModule().nativeSection.GetCurrentSource().GetBuffer(),
+		compiler.GetObjectModule().GetCurrentSource().GetBuffer(),
 		compiler.GetObjectModule().meta.GetTypeDefs()
 	);
@@ -190,5 +190,5 @@
 	//定数情報を取得
 	ActiveBasic::Compiler::LexicalAnalyzer::CollectConsts(
-		compiler.GetObjectModule().nativeSection.GetCurrentSource().GetBuffer(),
+		compiler.GetObjectModule().GetCurrentSource().GetBuffer(),
 		compiler.GetObjectModule().meta.GetGlobalConsts(),
 		compiler.GetObjectModule().meta.GetGlobalConstMacros()
@@ -198,5 +198,5 @@
 	compiler.SetCompilingClass( NULL );
 	ActiveBasic::Compiler::LexicalAnalyzer::CollectProcedures(
-		compiler.GetObjectModule().nativeSection.GetCurrentSource().GetBuffer(),
+		compiler.GetObjectModule().GetCurrentSource().GetBuffer(),
 		compiler.GetObjectModule().meta.GetUserProcs(),
 		compiler.GetObjectModule().meta.GetDllProcs()
@@ -205,5 +205,5 @@
 	// クラス情報を取得（※注 - CollectProceduresの後に呼び出す）
 	ActiveBasic::Compiler::LexicalAnalyzer::CollectClasses(
-		compiler.GetObjectModule().nativeSection.GetCurrentSource().GetBuffer(),
+		compiler.GetObjectModule().GetCurrentSource().GetBuffer(),
 		compiler.GetObjectModule().meta.GetClasses()
 	);
@@ -369,5 +369,5 @@
 
 		// コード生成対象を選択
-		compiler.codeGenerator.Select( compiler.GetObjectModule().nativeSection.globalNativeCode );
+		compiler.codeGenerator.Select( compiler.GetObjectModule().globalNativeCode );
 
 		trace_for_sourcecodestep( "★★★ グローバル領域のコンパイルを開始" );
@@ -903,6 +903,6 @@
 
 	//データセクションのファイル上のサイズ
-	if(compiler.GetObjectModule().nativeSection.dataTable.GetSize()%FILE_ALIGNMENT) FileSize_DataSection=compiler.GetObjectModule().nativeSection.dataTable.GetSize()+(FILE_ALIGNMENT-compiler.GetObjectModule().nativeSection.dataTable.GetSize()%FILE_ALIGNMENT);
-	else FileSize_DataSection=compiler.GetObjectModule().nativeSection.dataTable.GetSize();
+	if(compiler.GetObjectModule().dataTable.GetSize()%FILE_ALIGNMENT) FileSize_DataSection=compiler.GetObjectModule().dataTable.GetSize()+(FILE_ALIGNMENT-compiler.GetObjectModule().dataTable.GetSize()%FILE_ALIGNMENT);
+	else FileSize_DataSection=compiler.GetObjectModule().dataTable.GetSize();
 	if(FileSize_DataSection) bUse_DataSection=1;
 	else bUse_DataSection=0;
@@ -1105,5 +1105,5 @@
 	}
 
-	compiler.linker.SetDataTable( compiler.GetObjectModule().nativeSection.dataTable );
+	compiler.linker.SetDataTable( compiler.GetObjectModule().dataTable );
 
 	compiler.linker.SetImageBase( ImageBase );
